<?xml version="1.0" encoding="utf-8"?>
<layout
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:tools="http://schemas.android.com/tools"
        xmlns:app="http://schemas.android.com/apk/res-auto">
    <data>
        <variable name="vm" type="edu.usc.pocketfarm.pocketfarm.viewmodels.RegisterViewModel"/>
    </data>
    <android.support.constraint.ConstraintLayout

            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:context=".views.RegisterActivity"
            android:background="@drawable/background_gradient">

        <TextView
                android:text="@string/already_have_an_account"
                android:layout_width="wrap_content"
                android:textColor="@color/white"
                android:layout_height="wrap_content"
                android:id="@+id/regAcctTxt"
                app:layout_constraintStart_toStartOf="parent"
                android:layout_marginStart="32dp" android:layout_marginTop="60dp"
                app:layout_constraintTop_toTopOf="parent"/>
        <TextView
                android:text="@string/login"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textStyle="bold"
                android:textColor="@color/white"
                android:id="@+id/regLogInTxt"
                app:layout_constraintStart_toEndOf="@+id/regAcctTxt"
                android:layout_marginStart="8dp"
                app:layout_constraintTop_toTopOf="@+id/regAcctTxt"
                app:layout_constraintBottom_toBottomOf="@+id/regAcctTxt"
                app:layout_constraintEnd_toEndOf="@+id/textView2" app:layout_constraintHorizontal_bias="0.0"
                app:layout_constraintVertical_bias="0.0"/>
        <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPersonName"
                android:ems="10"
                android:background="@drawable/rounded_rectangle_solid"
                android:textSize="16sp"
                android:text="@={vm.firstName}"
                android:layout_marginStart="32dp"
                app:layout_constraintStart_toStartOf="parent" android:layout_marginEnd="32dp"
                app:layout_constraintEnd_toEndOf="parent"
                android:id="@+id/regFNameET"
                android:hint="@string/first_name_register" app:layout_constraintHorizontal_bias="0.0"
                app:layout_constraintTop_toBottomOf="@+id/textView2" android:layout_marginTop="32dp"/>
        <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textPersonName"
                android:ems="10"
                android:background="@drawable/rounded_rectangle_solid"
                android:textSize="16sp"
                android:text="@={vm.address}"
                android:layout_marginStart="32dp"
                app:layout_constraintStart_toStartOf="parent" android:layout_marginEnd="32dp"
                app:layout_constraintEnd_toEndOf="parent"
                android:id="@+id/regDelAddrET2"
                android:hint="@string/address_register" app:layout_constraintHorizontal_bias="0.0"
                android:layout_marginTop="32dp" app:layout_constraintTop_toBottomOf="@+id/regPwdET"/>
        <EditText android:background="@drawable/rounded_rectangle_solid"
                  android:textSize="16sp"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:inputType="textPersonName"
                  android:ems="10"
                  android:text="@={vm.lastName}"
                  android:id="@+id/regLNameET" android:layout_marginTop="32dp"
                  app:layout_constraintTop_toBottomOf="@+id/regFNameET"
                  app:layout_constraintStart_toStartOf="@+id/regFNameET"
                  app:layout_constraintEnd_toEndOf="@+id/regFNameET" android:hint="@string/last_name_register"
                  app:layout_constraintHorizontal_bias="0.0" android:layout_marginStart="32dp"
                  android:layout_marginEnd="32dp"/>
        <EditText android:background="@drawable/rounded_rectangle_solid"
                  android:textSize="16sp"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:inputType="textEmailAddress"
                  android:ems="10"
                  android:text="@={vm.email}"
                  android:id="@+id/regEmailET"
                  app:layout_constraintStart_toStartOf="@+id/regPwdET" app:layout_constraintEnd_toEndOf="@+id/regPwdET"
                  android:layout_marginTop="32dp" app:layout_constraintTop_toBottomOf="@+id/regLNameET"
                  android:hint="@string/email_address_register" android:layout_marginStart="32dp"
                  android:layout_marginEnd="32dp"/>
        <EditText android:background="@drawable/rounded_rectangle_solid"
                  android:textSize="16sp"
                  android:layout_width="match_parent"
                  android:layout_height="wrap_content"
                  android:inputType="textPassword"
                  android:ems="10"
                  android:id="@+id/regPwdET"
                  android:text="@={vm.password}"
                  app:layout_constraintStart_toStartOf="@+id/regLNameET"
                  app:layout_constraintEnd_toEndOf="@+id/regLNameET" android:layout_marginTop="32dp"
                  app:layout_constraintTop_toBottomOf="@+id/regEmailET" app:layout_constraintHorizontal_bias="0.0"
                  android:hint="@string/password_register" android:layout_marginStart="32dp"
                  android:layout_marginEnd="32dp"/>
        <Button
                android:text="@string/create"
                android:textSize="18sp"
                android:textColor="@color/white"
                android:layout_width="160dp"
                android:textStyle="bold"
                android:layout_height="wrap_content"
                style="@style/Widget.AppCompat.Button.Borderless"
                android:background="@drawable/rounded_rectangle_stroke"
                android:id="@+id/regSignUpBtn" app:layout_constraintStart_toStartOf="parent"
                android:layout_marginStart="8dp" app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginEnd="8dp" android:layout_marginBottom="92dp"
                app:layout_constraintBottom_toBottomOf="parent" app:layout_constraintHorizontal_bias="0.498"/>
        <TextView
                android:text="@string/create_your_account"
                android:textSize="28sp"
                android:textColor="@color/white"
                android:textStyle="bold"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/textView2" app:layout_constraintStart_toStartOf="parent"
                android:layout_marginStart="32dp" app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginEnd="8dp" android:layout_marginTop="16dp"
                app:layout_constraintHorizontal_bias="0.0" app:layout_constraintTop_toBottomOf="@+id/regLogInTxt"/>
        <TextView
                android:text="@string/invalid_first_name"
                android:textColor="@color/white"
                android:visibility="gone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/errFirstName" app:layout_constraintStart_toStartOf="@+id/regFNameET"
                app:layout_constraintEnd_toEndOf="@+id/regFNameET" android:layout_marginTop="8dp"
                app:layout_constraintTop_toBottomOf="@+id/regFNameET" android:layout_marginBottom="8dp"
                app:layout_constraintBottom_toTopOf="@+id/regLNameET" app:layout_constraintHorizontal_bias="0.027"
                app:layout_constraintVertical_bias="0.0"/>
        <TextView
                android:text="@string/invalid_last_name"
                android:textColor="@color/white"
                android:visibility="gone"
                android:layout_width="1dp"
                android:layout_height="0dp"
                android:id="@+id/errLastName" app:layout_constraintStart_toStartOf="@+id/regLNameET"
                app:layout_constraintEnd_toEndOf="@+id/regLNameET" android:layout_marginTop="8dp"
                app:layout_constraintTop_toBottomOf="@+id/regLNameET" android:layout_marginBottom="8dp"
                app:layout_constraintBottom_toTopOf="@+id/regEmailET" app:layout_constraintHorizontal_bias="0.034"
                app:layout_constraintVertical_bias="1.0"/>
        <TextView
                android:text="@string/invalid_email_address"
                android:textColor="@color/white"
                android:visibility="gone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/errEmail" app:layout_constraintStart_toStartOf="@+id/regEmailET"
                app:layout_constraintEnd_toEndOf="@+id/regEmailET" android:layout_marginTop="8dp"
                app:layout_constraintTop_toBottomOf="@+id/regEmailET" android:layout_marginBottom="8dp"
                app:layout_constraintBottom_toTopOf="@+id/regPwdET" app:layout_constraintHorizontal_bias="0.041"
                app:layout_constraintVertical_bias="0.0"/>
        <TextView
                android:visibility="gone"
                android:textColor="@color/white"
                android:text="Password must be longer than 8 characters and must not contain spaces."
                android:layout_width="322dp"
                android:layout_height="47dp"
                android:id="@+id/errPwd" app:layout_constraintStart_toStartOf="@+id/regPwdET"
                app:layout_constraintEnd_toEndOf="@+id/regPwdET" android:layout_marginTop="8dp"
                app:layout_constraintTop_toBottomOf="@+id/regPwdET" app:layout_constraintHorizontal_bias="0.56"/>
    </android.support.constraint.ConstraintLayout>
</layout>